package com.taauav.admin.service;

import com.taauav.admin.entity.TauvAgency;
import com.taauav.admin.query.AgencyQuery;
import com.taauav.admin.vo.TauvAgencyListVo;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;

import java.util.List;

/**
 * <p>
 * 用户组表 服务类
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
public interface ITauvAgencyService extends IBaseService<TauvAgency> {

    /**
     * 获取机构列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(AgencyQuery query);

    /**
     * 添加机构
     *
     * @param entity 实体对象
     * @return
     */
    Response add(TauvAgency entity);

    /**
     * 获取机构详情
     *
     * @param id 机构ID
     * @return
     */
    Response info(Integer id);

    /**
     * 编辑机构
     *
     * @param entity 实体对象
     * @return
     */
    Response edit(TauvAgency entity);

    /**
     * 删除机构
     *
     * @param id 机构ID
     * @return
     */
    Response delete(Integer id);

    /**
     * 设置状态
     *
     * @param entity 实体对象
     * @return
     */
    Response setStatus(TauvAgency entity);

    /**
     * 获取机构列表
     *
     * @param pid 上级ID
     * @return
     */
    List<TauvAgencyListVo> getAgencyList(Integer pid);

}
