package com.taauav.front.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 用户列表Vo
 */
@Data
public class LsAdminListVo {

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 姓名
     */
    @NotBlank(message = "姓名不能为空")
    @Length(min = 2, max = 20, message = "姓名长度为2-20")
    private String realname;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 性别：1男 2女 3未知
     */
    private Integer gender;

    /**
     * 联系方式（手机号码）
     */
    private String mobile;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 河长等级
     */
    private String riverGrade;

    /**
     * 职务
     */
    private String duty;

    /**
     * 角色编号
     */
    @NotBlank(message = "角色编号不能为空")
    private String authGroup;

    /**
     * 角色描述
     */
    private String authGroupName;

    /**
     * Session标识
     */
    private String token;

    /**
     * 备注
     */
    private String note;

    /**
     * 状态：1正常 2关闭 3未审核
     */
    private Integer status;

    /**
     * 登录次数
     */
    private Integer loginNum;

    /**
     * 上次登录IP
     */
    private Long lastIp;

    /**
     * 上次登录时间
     */
    private Integer lastTime;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 创建时间
     */
    private Integer createTime;

    /**
     * 更新时间
     */
    private Integer updateTime;

}
